
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux用户和用户组管理详解 / 憋错料</title>

    <meta name="description" content="linux用户和用户组管理详解 Linux 用户和用户组管理 Linux系统是一个多用户多任务的分时操作系统,任何一个要使用系统资源的用户,都必须首先向系统管理员申请一个账号,然后以这个账号的身份进入系统. 用户的账号一方面可以帮助系统管理员对使用系统的用户进行跟踪,并控制他们对系统资源的访问:另一方面也可以帮助用户组织文件,并为用户提供安全性保护. 每个用户账号都拥有一个惟一的用户名和各自的口令(也就是密码). 要想管理用户/用户组,首先得创建这个用户/用户组吧,用户/用户组的管理工作主要涉及到用户/用户组账号的添加.修改和">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">linux用户和用户组管理详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h4>Linux&nbsp;用户和用户组管理</h4>
<p>Linux系统是一个多用户多任务的分时操作系统，任何一个要使用系统资源的用户，都必须首先向系统管理员申请一个账号，然后以这个账号的身份进入系统。</p>
<p>用户的账号一方面可以帮助系统管理员对使用系统的用户进行跟踪，并控制他们对系统资源的访问；另一方面也可以帮助用户组织文件，并为用户提供安全性保护。</p>
<p>每个用户账号都拥有一个惟一的用户名和各自的口令（也就是密码）。</p>
<p>要想管理用户/用户组，首先得创建这个用户/用户组吧，用户/用户组的管理工作主要涉及到用户/用户组账号的添加、修改和删除那么来一个管理用户/用户组命令的汇总吧。</p>
<table>
<tbody>
<tr>
<td colspan="2"><strong>管理用户命令的汇总（个人认为重要，常用，需要掌握的）</strong></td>
</tr>
<tr>
<td>命令</td>
<td>说明</td>
</tr>
<tr>
<td>useradd</td>
<td>同adduser命令，执行此命令可以在系统中添加用户</td>
</tr>
<tr>
<td>userdel</td>
<td>删除用户及相关用户的配置或文件</td>
</tr>
<tr>
<td>passwd</td>
<td>为用户设置密码</td>
</tr>
<tr>
<td>chage</td>
<td>修改用户密码有效期限</td>
</tr>
<tr>
<td>id</td>
<td>查看用户的uid，gid及所归属的用户组</td>
</tr>
<tr>
<td>su</td>
<td>用户切换工具</td>
</tr>
<tr>
<td>sudo</td>
<td>sudo是通过另一个用户来执行命令（execute a command as another user）</td>
</tr>
<tr>
<td>&nbsp;viosudo</td>
<td>&nbsp;visudo配置sudo权限的编辑命令，（相当于直接vi编辑/etc/sudoers）</td>
</tr>
<tr>
<td>&nbsp;pwck</td>
<td>&nbsp;pwck是校验用户配置文件/etc/passwd和/etc/shadow文件内容是否合法或完整（很弱鸡）</td>
</tr>
<tr>
<td>&nbsp;finger</td>
<td>&nbsp;查看用户信息工具</td>
</tr>
<tr>
<td colspan="2"><strong>管理用户组命令的汇总（个人认为重要，常用，需要掌握的）</strong></td>
</tr>
<tr>
<td>groupadd</td>
<td>添加用户组</td>
</tr>
<tr>
<td>gpasswd</td>
<td>为用户组设置密码</td>
</tr>
<tr>
<td>newgrp</td>
<td>更改用户所属的有效用户组</td>
</tr>
<tr>
<td>groupdel</td>
<td>删除用户组</td>
</tr>
<tr>
<td>groupmod</td>
<td>
<br />1）g GID 为用户组指定新的组标识号</p>
<p>2）-o 与-g选项同时使用，用户组的新GID可以与系统已有用户组的GID相同</p>
<p>3）-n新用户组 将用户组的名字改为新名字</p>
</td>
</tr>
</tbody>
</table>
<h4>相信大家看过上面的汇总，也有所了然，那么我们来实践一把，添加新的用户账号使用useradd命令，</h4>
<h4>　　命令格式：useradd 选项 用户名</h4>
<p>在实践前，我们先介绍一个useradd 的参数吧，</p>
<table>
<tbody>
<tr>
<td><strong>useradd参数选项</strong></td>
<td><strong>简单说明</strong></td>
</tr>
<tr>
<td>-c comment&lt;备注&gt;</td>
<td>加上备注文字。备注文字会保存在passwd的备注栏位中</td>
</tr>
<tr>
<td>-d home_dir&lt;登入目录&gt;</td>
<td>指定用户登入时的启始目录</td>
</tr>
<tr>
<td>-e expre_date&lt;有效期限&gt;</td>
<td>账号的终止日期，格式：MM/DD/YY</td>
</tr>
<tr>
<td>-f &nbsp;inactive_days&lt;缓冲天数&gt;&nbsp;</td>
<td>账号多少天后关闭该账户</td>
</tr>
<tr>
<td>-g initial_group&lt;群组&gt;&nbsp;</td>
<td>指定用户所属的群组</td>
</tr>
<tr>
<td>-G group，[...]&lt;群组&gt;</td>
<td>指定用户所属的附加群组</td>
</tr>
<tr>
<td>-m&nbsp;</td>
<td>自动建立用户的登入目录。&nbsp;</td>
</tr>
<tr>
<td>-M&nbsp;</td>
<td>不建立用户家目录，优先于/etc/login.defs文件的设定</td>
</tr>
<tr>
<td>-s&lt;shell&gt;</td>
<td>指定用户登入后所使用的shell。&nbsp;</td>
</tr>
<tr>
<td>-u&lt;uid&gt;&nbsp;</td>
<td>指定用户ID</td>
</tr>
<tr>
<td><strong>&nbsp;useradd -D参数</strong></td>
<td><strong>&nbsp;简单说明</strong></td>
</tr>
<tr>
<td>&nbsp;-b default_home&nbsp;</td>
<td>&nbsp;更改默认的创建用户HOME目录的位置&nbsp;</td>
</tr>
<tr>
<td>&nbsp;-e expiration_date&nbsp;</td>
<td>&nbsp;更改默认的新账户的过期日期&nbsp;</td>
</tr>
<tr>
<td>&nbsp;-f inactive_days&nbsp;</td>
<td>&nbsp;账号过期后几天停用</td>
</tr>
<tr>
<td>&nbsp;-g group</td>
<td>&nbsp;更改默认的组名称或GID</td>
</tr>
<tr>
<td>-s shell</td>
<td>&nbsp;更改默认的登录shell&nbsp;</td>
</tr>
</tbody>
</table>
<h4>/etc/default/useradd文件</h4>
<p>/etc/default/useradd文件是在使用useradd添加用户时的一个需要条用的一个默认的配置文件，可以使用&lsquo;useradd -D&rsquo;，我们先看一下它里面的内容吧</p>
<pre>cat /etc/default/useradd</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI4NzkzODgwLnBuZw==.jpg" /></p>
<pre>useradd -D </pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI4OTMxNTY2LnBuZw==.jpg" /></p>
<pre>useradd -D -s /bin/tsch &lt;==修改默认的shell，为/bin/tsch</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI4OTU5ODg1LnBuZw==.jpg" /></p>
<h4>例子（1）</h4>

<pre>useradd &ndash;d /usr/user2 -m user2</pre>
<p>此命令创建了一个用户user2，其中-d和-m选项用来为登录名user2产生一个主目录/usr/user2（/usr为默认的用户主目录所在的父目录）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI4OTc3NDYyLnBuZw==.jpg" /></p>
<h4>例子（2）</h4>

<pre>groupadd admin　　#创建一个admin用户组groupadd admax　　#创建一个admax用户组useradd -s /bin/sh -g root &ndash;G admin,admax user</pre>
<p>此命令新建了一个用户user，该用户的登录Shell是&nbsp;<code>/bin/sh</code>，它属于root用户组，同时又属于admin和admax用组，其中root用户组是其主组。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI5MDc4MDQxLnBuZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI5MDk4NTQ4LnBuZw==.jpg" /></p>
<p>增加用户账号就是在/etc/passwd文件中为新用户增加一条记录，同时更新其他系统文件如/etc/shadow, /etc/group等。</p>
<p>Linux提供了集成的系统管理工具userconf，它可以用来对用户账号进行统一管理。</p>
<h4>删除帐号</h4>
<p>如果一个用户的账号不再使用，可以从系统中删除。删除用户账号就是要将/etc/passwd等系统文件中的该用户记录删除，必要时还删除用户的主目录。</p>
<p>删除一个已有的用户账号使用<code>userdel</code>命令，其格式如下：</p>
<pre>userdel 选项 用户名</pre>
<p>常用的选项是&nbsp;-r，它的作用是把用户的主目录一起删除。</p>
<pre>userdel -r user</pre>
<p>此命令删除用户user在系统文件中（主要是/etc/passwd, /etc/shadow, /etc/group等）的记录，同时删除用户的主目录。</p>
<h4>修改帐号</h4>
<p>修改用户账号就是根据实际情况更改用户的有关属性，如用户号、主目录、用户组、登录Shell等。</p>
<p>修改已有用户的信息使用<code>usermod</code>命令</p>
<pre>usermod 选项 用户名</pre>
<p>常用的选项包括<code>-c, -d, -m, -g, -G, -s, -u以及-o等</code>，这些选项的意义与<code>useradd</code>命令中的选项一样，可以为用户指定新的资源值。</p>
<p>另外，有些系统可以使用选项：-l 新用户名</p>
<p>这个选项指定一个新的账号，即将原来的用户名改为新的用户名。</p>
<pre>usermod -s /bin/ksh -d /home/z &ndash;g proxy user</pre>
<p>此命令将用户user的登录Shell修改为ksh，主目录改为/home/z，用户组改为proxy。</p>
<h4>用户密码的管理</h4>
<p>用户账号刚创建时没有密码，但是被系统锁定，无法使用，必须为其指密码后才可以使用，即使是指定空口令。</p>
<p>指定和修改用户密码的Shell命令是<code>passwd，</code>超级用户可以为自己和其他用户指定密码，普通用户只能用它修改自己的密码。</p>
<pre>passwd 选项 用户名</pre>
<table>
<tbody>
<tr>
<td colspan="2"><strong>常用的选项</strong></td>
</tr>
<tr>
<td>-l</td>
<td>锁定不可以更改密码</td>
</tr>
<tr>
<td>-u</td>
<td>解锁可以更改密码</td>
</tr>
<tr>
<td>-d</td>
<td>使账户不需要密码登陆</td>
</tr>
<tr>
<td>-f</td>
<td>强迫用户下次登录时修改口令</td>
</tr>
<tr>
<td colspan="2">如果默认用户名，则修改当前用户的密码</td>
</tr>
</tbody>
</table>
<p><strong>&nbsp;1）"用户名"是代表用户账号的字符串</strong></p>
<p>通常长度不超过8个字符，并且由大小写字母和/或数字组成。登录名中不能有冒号(:)，因为冒号在这里是分隔符。</p>
<p>为了兼容起见，登录名中最好不要包含点字符(.)，并且不使用连字符(-)和加号(+)打头。</p>
<h4>2）&ldquo;口令&rdquo;一些系统中，存放着加密后的用户口令字</h4>
<p>虽然这个字段存放的只是用户口令的加密串，不是明文，但是由于/etc/passwd文件对所有用户都可读，所以这仍是一个安全隐患。因此，现在许多Linux 系统（如SVR4）都使用了shadow技术，把真正的加密后的用户口令字存放到/etc/shadow文件中，而在/etc/passwd文件的口令字段中只存放一个特殊的字符，例如&ldquo;x&rdquo;或者&ldquo;*&rdquo;。</p>
<h4>3）&ldquo;用户标识号&rdquo;是一个整数，系统内部用它来标识用户</h4>
<p>一般情况下它与用户名是一一对应的。如果几个用户名对应的用户标识号是一样的，系统内部将把它们视为同一个用户，但是它们可以有不同的口令、不同的主目录以及不同的登录Shell等。</p>
<p>通常用户标识号的取值范围是0～65 535。0是超级用户root的标识号，1～99由系统保留，作为管理账号，普通用户的标识号从100开始。在Linux系统中，这个界限是500。</p>
<h4>4）&ldquo;组标识号&rdquo;字段记录的是用户所属的用户组</h4>
<p>它对应着/etc/group文件中的一条记录。</p>
<h4>5)&ldquo;注释性描述&rdquo;字段记录着用户的一些个人情况</h4>
<p>例如用户的真实姓名、电话、地址等，这个字段并没有什么实际的用途。在不同的Linux 系统中，这个字段的格式并没有统一。在许多Linux系统中，这个字段存放的是一段任意的注释性描述文字，用做finger命令的输出。</p>
<h4>6)&ldquo;主目录&rdquo;，也就是用户的起始工作目录</h4>
<p>它是用户在登录到系统之后所处的目录。在大多数系统中，各用户的主目录都被组织在同一个特定的目录下，而用户主目录的名称就是该用户的登录名。各用户对自己的主目录有读、写、执行（搜索）权限，其他用户对此目录的访问权限则根据具体情况设置。</p>
<h4>7)用户登录后，要启动一个进程，负责将用户的操作传给内核，这个进程是用户登录到系统后运行的命令解释器或某个特定的程序，即Shell</h4>
<p>Shell是用户与Linux系统之间的接口。Linux的Shell有许多种，每种都有不同的特点。常用的有sh(Bourne Shell), csh(C Shell), ksh(Korn Shell), tcsh(TENEX/TOPS-20 type C Shell), bash(Bourne Again Shell)等。</p>
<p>系统管理员可以根据系统情况和用户习惯为用户指定某个Shell。如果不指定Shell，那么系统使用sh为默认的登录Shell，即这个字段的值为/bin/sh。</p>
<p>用户的登录Shell也可以指定为某个特定的程序（此程序不是一个命令解释器）。</p>
<p>利用这一特点，我们可以限制用户只能运行指定的应用程序，在该应用程序运行结束后，用户就自动退出了系统。有些Linux 系统要求只有那些在系统中登记了的程序才能出现在这个字段中。</p>
<h4>8)系统中有一类用户称为伪用户（psuedo users）</h4>
<p>这些用户在/etc/passwd文件中也占有一条记录，但是不能登录（nologin），因为它们的登录Shell为空。它们的存在主要是方便系统管理，满足相应的系统进程对文件属主的要求。</p>
<p>常见的伪用户如下所示：</p>
<pre>伪 用 户 含 义
bin 拥有可执行的用户命令文件
sys 拥有系统文件
adm 拥有帐户文件
uucp UUCP使用
lp lp或lpd子系统使用
nobody NFS使用</pre>
<h4>工作中肯定会有需求，添加批量用户</h4>
<p>添加批量用户我们不可能还使用useradd一个一个地添加，必然要找一种简便的创建大量用户的方法，Linux系统提供了创建大量用户的工具，可供使用，</p>
<h4>方法一：</h4>
<p><strong>&nbsp;1）先编辑一个文本用户文件</strong></p>
<p>每一列按照<code>/etc/passwd</code>密码文件的格式书写，要注意每个用户的用户名、UID、宿主目录都不可以相同，其中密码栏可以留做空白或输入x号。一个范例文件user.txt内容如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODA5LzIwMTgwOTA4MTczMDI5MTM0Njc4LnBuZw==.jpg" /></p>
<p>user001 ：： 600 ： 100 ：user： /home/user001 :/bin/bash<br />user002	：：	601  ：	100	：user：	/home/user002	:/bin/bash<br />user003	：：	602  ：	100	：user：	/home/user003	:/bin/bash<br />user004	：：	603  ：	100	：user：	/home/user004	:/bin/bash<br />user005	：：	604  ：	100	：user：	/home/user005	:/bin/bash<br />user006	：：	605  ：	100	：user：	/home/user006	:/bin/bash<br />user007	：：	606  ：	100	：user：	/home/user007	:/bin/bash<br />user008	：：	607  ：	100	：user：	/home/user008	:/bin/bash<br />user009	：：	608  ：	100	：user：	/home/user009	:/bin/bash</p>
<p><strong>2）以root身份执行命令&nbsp;<code>/usr/sbin/newusers</code>，从刚创建的用户文件<code>user.txt</code>中导入数据，创建用户</strong></p>
<pre># newusers &lt; user.txt</pre>
<p>然后可以执行命令&nbsp;<code>vipw</code>&nbsp;或&nbsp;<code>vi /etc/passwd</code>&nbsp;检查&nbsp;<code>/etc/passwd</code>&nbsp;文件是否已经出现这些用户的数据，并且用户的宿主目录是否已经创建。</p>
<p><strong>3）执行命令/usr/sbin/pwunconv</strong></p>
<p>将&nbsp;<code>/etc/shadow</code>&nbsp;产生的&nbsp;<code>shadow</code>&nbsp;密码解码，然后回写到&nbsp;<code>/etc/passwd</code>&nbsp;中，并将<code>/etc/shadow</code>的<code>shadow</code>密码栏删掉。这是为了方便下一步的密码转换工作，即先取消&nbsp;<code>shadow password</code>&nbsp;功能。</p>
<pre># pwunconv</pre>
<p><strong>&nbsp;4）编辑每个用户的密码对照文件</strong></p>
<p>user01 ：： 01（密码）<br />user02	：：	02（密码）<br />user03	：：	03（密码）<br />user04	：：	04（密码）<br />user05	：：	05（密码）</p>
<p><strong>5）以root的身份执行/usr/bin/passwd文件</strong></p>
<p>创建用户密码，<code>chpasswd</code>&nbsp;会将经过&nbsp;<code>/usr/bin/passwd</code>&nbsp;命令编码过的密码写入&nbsp;<code>/etc/passwd</code>&nbsp;的密码栏。</p>
<pre># chpasswd &lt; passwd.txt</pre>
<p><strong>6）确定密码经编码写入/etc/passwd的密码栏后</strong></p>
<p>执行命令&nbsp;<code>/usr/sbin/pwconv</code>&nbsp;将密码编码为&nbsp;<code>shadow password</code>，并将结果写入&nbsp;<code>/etc/shadow</code>。</p>
<pre># pwconv</pre>

<h4>方法二：利用脚本批量添加，脚本如下：</h4>

<pre>#!    /bin/bash
#
#    batch add users with file called user.list
#
for username in $(more users.list)
do
if [ -n $username]
then
   useradd -m $username
   echo
   echo  $username"123"|passwd --stdin $username
   echo
   echo  "User $username‘s password is changed!"
else
   echo "The username is null"
fi
done
~</pre>
<p>其中user.list文件内容是：</p>
<p>king</p>
<p>one</p>
<p>two</p>
<p>由脚本得知，用户的初始密码为&ldquo;<strong>用户名+123</strong>&rdquo;；可以根据需求自行更改。</p>
<p>以上总结，都是鹦鹉学舌，还望大佬指教，参考博文<a href="https://www.cnblogs.com/lanxuezaipiao/archive/2012/12/01/2797440.html" rel="external nofollow noreferrer">Alexia</a>。</p>

<p>原文地址：https://www.cnblogs.com/liang-io/p/9607949.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 07:25:13 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/conf/" title="conf">conf</a>, <a href="https://www.biecuoliao.com/tag/and/" title="and">and</a>, <a href="https://www.biecuoliao.com/tag/%e5%af%86%e7%a0%81/" title="密码">密码</a>, <a href="https://www.biecuoliao.com/tag/%e6%a0%bc%e5%bc%8f/" title="格式">格式</a>, <a href="https://www.biecuoliao.com/tag/command/" title="command">command</a>, <a href="https://www.biecuoliao.com/tag/ops/" title="ops">ops</a>, <a href="https://www.biecuoliao.com/tag/dmi/" title="dmi">dmi</a>, <a href="https://www.biecuoliao.com/tag/the/" title="The">The</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>linux用户和用户组管理详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/N4pj7x0.html" rel="bookmark">5、linux用户和组管理详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux用户和组管理 类Unix系统的设计初衷就是为让多用户同时工作,所以也迫使Linux系统有了极强的安全性,在前面安装红帽RHEL7操作系统时还特别要求&quot;设置root用户密码&quot;,而root用户是存在于所有类UNIX系统中的&quot;超级用户&quot;. 用户管理 root账户介绍(超级管理员) root用户拥有极高的系统所有权,能够管理系统的各项功能,如添加/删除用户,启动/关闭进程,开启/禁用硬件设备等权限.虽然使用root用户工作时不会受到权限的控制,但老话讲&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QNEENM.html" rel="bookmark">Linux用户与用户组的详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,用户和用户组文件 在linux中,用户帐号,用户密码,用户组信息和用户组密码均是存放在不同的配置文件中的. 在linux系统中,所创建的用户帐号和其相关信息(密码除外)均是存放在/etc/passwd配置文件中.由于所有用户对passwd文件均有读取的权限,因此密码信息并未保存在该文件中,而是保存在了/etc/shadow的配置文件中. 在passwd文件中,一行定义一个用户帐号,每行均由多个不同的字段构成,各字段值间用&quot;:”分隔,每个字段均代表该帐号某方面的信息. 在刚安装完成的linux			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38Zy7yM.html" rel="bookmark">Linux 用户和用户组管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux 用户和用户组管理 Linux系统是一个多用户多任务的分时操作系统,任何一个要使用系统资源的用户,都必须首先向系统管理员申请一个账号,然后以这个账号的身份进入系统. 用户的账号一方面可以帮助系统管理员对使用系统的用户进行跟踪,并控制他们对系统资源的访问:另一方面也可以帮助用户组织文件,并为用户提供安全性保护. 每个用户账号都拥有一个惟一的用户名和各自的口令. 用户在登录时键入正确的用户名和口令后,就能够进入系统和自己的主目录. 实现用户账号的管理,要完成的工作主要有如下几个方面: 用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OalRgM.html" rel="bookmark">Linux用户及用户组管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux用户及用户组管理 Linux是个多用户多任务的分时操作系统,所有一个要使用系统资源的用户都必须先向系统管理员申请一个账号,然后以这个账号的身份进入系统.用户的账号一方面能帮助系统管理员对使用系统的用户进行跟踪,并控制他们对系统资源的访问:另一方面也能帮助用户组织文件,并为用户提供安全性保护.每个用户账号都拥有一个惟一的用户名和用户口令.用户在登录时键入正确的用户名和口令后,才能进入系统和自己的主目录. 实现用户账号的管理,要完成的工作主要有如下几个方面: a.用户账号的添加.删除和修改			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVvJ7dM.html" rel="bookmark">Linux&mdash;&mdash;用户和用户组管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用户和用户组管理 1.用户和用户组配置文件 /etc/passwd 用户信息的配置文件 /etc/shadow 用户密码信息的配置文件 /etc/group 用户组信息的配置文件 /etc/gshadow 用户组密码信息的配置文件 查看配置文件的帮助说明 1)/etc/passwd 查看配置文件帮助 man 5 passwd There is one entry per line, and each line has the format: account:password:UID:GID:GE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jlZLZ4.html" rel="bookmark">Linux用户和用户组管理命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 用户管理命令 (1) 用户添加命令 useradd 命令格式:useradd [选项] 用户名 选项: -u UID: 手工指定用户的UID号 -d 家目录: 手工指定用户的家目录 -c 用户说明: 手工指定用户的说明 -g 组名: 手工指定用户的初始组 -G 组名: 指定用户的附加组 -s shell: 手工指定用户的登录shell,默认是/bin/bash 例如,简单地添加一个用户 xiaobao,则执行 useradd xiaobao 即可.现在看一下添加用户 xiaobao 后会产			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R26Kj0.html" rel="bookmark">Linux系列教程（十五）&mdash;&mdash;Linux用户和用户组管理之用户管理命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇博客我们介绍了用户管理的相关配置文件,包括用户信息文件/etc/passwd,用户密码文件/etc/shadow:然后介绍了用户组信息文件/etc/group,用户组密码文件/etc/gshadow.用户的家目录,以及用户的模板目录,那么我们如何创建用户呢?这篇博客我们将学习用户管理的相关命令. 1.添加用户命令:useradd ①.命令名称:useradd ②.英文原意: ③.命令所在路径:/usr/sbin/useradd ④.执行权限:root ⑤.功能描述:添加新用户 ⑥.语法: u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWXwp3.html" rel="bookmark">linux用户和用户组管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				日期:2015年8月28 在Linux系统中,用户账号信息.用户密码.组账号信息.组密码都保存在不同的配置文件中,他们分别是: /etc/passwd    /etc/shadow     /etc/group    /etc/gshadow  这4个配置文件 /etc/passwd 格式如下,一共分为7段,分别用':'隔开 [[email protected] ~]# head -1 /etc/passwd root:x:0:0:root:/root:/bin/bash 这7段意思如下: 1:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4plbZR4.html" rel="bookmark">操作系统知识&lpar;4&rpar;--Linux 用户和用户组管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux系统是一个多用户多任务的分时操作系统,任何一个要使用系统资源的用户,都必须首先向系统管理员申请一个账号,然后以这个账号的身份进入系统. 用户的账号一方面可以帮助系统管理员对使用系统的用户进行跟踪,并控制他们对系统资源的访问:另一方面也可以帮助用户组织文件,并为用户提供安全性保护. 每个用户账号都拥有一个惟一的用户名和各自的口令. 用户在登录时键入正确的用户名和口令后,就能够进入系统和自己的主目录. 实现用户账号的管理,要完成的工作主要有如下几个方面: 用户账号的添加.删除与修改. 用户			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rEg70.html" rel="bookmark" class="title">资源的引用</a>
					<div>
						res文件夹中的资源分类 (可直接通过R类调用),assets文件夹中的资源,如mp3必须通过二进制流来读取 anim(xml动画) drawable(图片资源) layout(布局文件) menu( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkYqBM.html" rel="bookmark" class="title">11111111111</a>
					<div>
						看了开涛的Nginx+Lua开发教程,很是感兴趣.所以,自己也把环境搭建起来玩. 跟开涛的不同,我使用Vagrant + Ansible来搭建(不要问我为什么不使用Docker).这样,所有的人只要两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mml6Q14.html" rel="bookmark" class="title">Laravel</a>
					<div>
						composer安装Laravel 1.直接下载安装(需要FQ) 创建一个名为 laravel 的 Laravel 项目 composer create-project laravel/laravel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8y9j0.html" rel="bookmark" class="title">linux下的网络配置</a>
					<div>
						临时生效的命令: 设置静态ip: ip addr add 1923168.1.2/24 dev eth0 设置网关: ip route add default via 192.168.1.1 启动某个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d52j63.html" rel="bookmark" class="title">css多类选择器</a>
					<div>
						1 &lt;!DOCTYPE html&gt; 2 &lt;html lang=&quot;zh-CN&quot;&gt; 3 &lt;head&gt; 4 &lt;style type=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDd8p3.html" rel="bookmark" class="title">计算几何 二维凸包问题 Andrew算法</a>
					<div>
						凸包:把给定点包围在内部的.面积最小的凸多边形. Andrew算法是Graham算法的变种,速度更快稳定性也更好. 首先把所有点排序,按照第一关键字x第二关键字y从小到大排序,删除重复点后得到点序列P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomXlP3.html" rel="bookmark" class="title">查找字符串中第一个只出现一次的字符</a>
					<div>
						Java Map接口提供了将Key映射到值的对象,HashMap  TreeMap 方法 功能 put(K key ,V value) 向集合中添加指定key ,value的映射关系 contains ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWxyn4.html" rel="bookmark" class="title">Bootstrap 代码</a>
					<div>
						[Bootstrap 代码] Bootstrap 允许您以两种方式显示代码: 第一种是 &lt;code&gt; 标签.如果您想要内联显示代码,那么您应该使用 &lt;code&gt; 标签. 第二种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrpKn4.html" rel="bookmark" class="title">cp 命令</a>
					<div>
						[[email protected] ~]# cp 1.txt 2.txt # 拷贝文件[[email protected] ~]# cp -r 123 456 # -r 表示拷贝目录[[email  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyGBZ0.html" rel="bookmark" class="title">使用Android Butterknife</a>
					<div>
						我之前浏览过android butterknife 的使用 在android studio 中,很惊喜,已经成为一个插件来使用 这个android butterknife 最大的用处,就是直接生成la ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lePKB3.html" rel="bookmark" class="title">mysql--1130ERROR</a>
					<div>
						问题一:mysql 用户登录不用验证密码(用户已设密码) 安装好mysql 后,我发现我设立了密码,同样可以不用密码就能登陆 cmd&gt;mysql cmd&gt;select current_us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQZWxM.html" rel="bookmark" class="title">应用处理器AP概述</a>
					<div>
						移动终端芯片其他部分见&quot;一站式了解智能终端处理器&quot;. 功能机时代,扩展手机特性是在基带芯片上进行,手段包括:升级基带芯片获得更强的计算能力.电路进行重新设计以增加功能如照相机和SD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49LejW3.html" rel="bookmark" class="title">c&num; 委托与异步调用</a>
					<div>
						背景:在winform UI中,有时需要对控件进行比较频繁的刷新,如进度条.picturebox显示视频等.如果在主线程进行这些刷新操作,操作还未完成就将执行下一次刷新,程序将发生错误:如果只是创建另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NjX924.html" rel="bookmark" class="title">Android应用设置多个启动图标，动态列换应用图标</a>
					<div>
						Android开发三年了,今天才知道,可以给一个应用设置多个应用图标(启动图标),可以在程序中动态更换应用图标,作为一枚有三年工作经验的程序猿,今天才知道这事,被严重鄙视了. 下面就来说说如何给一个应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbK8b3.html" rel="bookmark" class="title">Parzen-Window Density Estimation（PWDE）</a>
					<div>
						1.概率密度函数 在在数学中,连续型随机变量的概率密度函数(在不至于混淆时可以简称为密度函数)是一个描述这个随机变量的输出值,在某个确定的取值点附近的可能性的函数.而随机变量的取值落在某个区域之内的概 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xakpN3.html" rel="bookmark" class="title">共享链商家小程序系统</a>
					<div>
						小程序共享链,共享链软件开发,共享链模式,共享链APP,小程序共享链定制,共享链平台,小程序共享链商城,共享链开发,共享链定制,共享链商家,共享链制作. 共享链商家小程序返利系统:陈洋150/1315 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kNNndM.html" rel="bookmark" class="title">素数路</a>
					<div>
						素数路 题目描述 已知一个四位的素数,要求每次修改其中的一位,并且要保证修改的结果还是一个素数,还不能出现前导零.你要找到一个修改数最少的方案,得到我们所需要的素数. 例如把1033变到8179,这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47XrvkM.html" rel="bookmark" class="title">How to create an anonymous IDA PRO database &lpar;&period;IDB&rpar;</a>
					<div>
						Source: http://www.0xebfe.net/blog/2013/01/13/how-to-create-an-anonymous-ida-pro-database-dot-idb/ P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02r9Ya0.html" rel="bookmark" class="title">第三款合计啥地方环境是东方红</a>
					<div>
						http://www.tcrcsc.com/zpxx_357772.html http://www.tcrcsc.com/zpxx_357787.html http://www.tcrcsc.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLpy9eM.html" rel="bookmark" class="title">cacti客户端安装</a>
					<div>
						snmpV3配置: 先VNC挂载安装包,然后安装 yum –y install  net-snmp* useradd snmp passwd snmp ##service snmpd stop net ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
